aboutsummaryrefslogtreecommitdiffstats
path: root/main/gst-ffmpeg0.10/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-07-21 11:47:34 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-07-21 12:08:16 +0000
commit6dd7a76746e61f3a643837c0b378a2067670b6ed (patch)
tree272986a09678abb17c705898a0a7d7253c1c51ff /main/gst-ffmpeg0.10/APKBUILD
parentd4977cdfd7ca29406f1fb2167a5799a8abe08c25 (diff)
downloadaports-6dd7a76746e61f3a643837c0b378a2067670b6ed.tar.gz
aports-6dd7a76746e61f3a643837c0b378a2067670b6ed.tar.bz2
aports-6dd7a76746e61f3a643837c0b378a2067670b6ed.tar.xz
main/gst-ffmpeg0.10: renamed from gst-ffmpeg
Diffstat (limited to 'main/gst-ffmpeg0.10/APKBUILD')
-rw-r--r--main/gst-ffmpeg0.10/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/main/gst-ffmpeg0.10/APKBUILD b/main/gst-ffmpeg0.10/APKBUILD
new file mode 100644
index 0000000000..b13062bd0c
--- /dev/null
+++ b/main/gst-ffmpeg0.10/APKBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gst-ffmpeg0.10
+pkgver=0.10.13
+pkgrel=0
+pkgdesc="Gstreamer FFMpeg Plugin"
+url="http://www.gstreamer.net"
+arch="all"
+license="GPL"
+makedepends="gstreamer0.10-dev gst-plugins-base0.10-dev liboil-dev coreutils
+ orc-dev"
+source="http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/gst-ffmpeg-$pkgver
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+build() {
+ cd "$_builddir"
+ export CFLAGS="$CFLAGS -fno-strict-aliasing"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-orc \
+ --with-ffmpeg-extra-configure="--enable-pic --disable-mmx --disable-mmx2" \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir"/usr/lib/ -name '*.la' -o -name '*.a' \
+ | xargs rm -f
+}
+
+md5sums="7f5beacaf1312db2db30a026b36888c4 gst-ffmpeg-0.10.13.tar.bz2"